#!/bin/sh

# --------change dir
if [ -n "$DASAMX_PATH" ]; then
	cd "$DASAMX_PATH"/e3010001/util
else
	cd /dasamx/e3010001/util
fi

# --------client
jars="$jars":../web/WEB-INF/classes
jars="$jars":../web/xclient/bjn_pro_client.jar
jars="$jars":../web/xclient/bjn_tools.jar
jars="$jars":../web/xclient/bjn_laf.jar
jars="$jars":../web/xclient/bjn_finger.jar
jars="$jars":../web/xclient/bjn_poi.jar
jars="$jars":../web/xclient/bjn_comm.jar
jars="$jars":../web/xclient/ext/bjn_rptds.jar
jars="$jars":../web/xclient/e3010001_cusxc.jar
jars="$jars":../web/xclient/e3010001_client.jar

# -------server
jars="$jars":../web/WEB-INF/lib/bjn_pro_server.jar
jars="$jars":../web/WEB-INF/lib/e3010001_cusxs.jar
jars="$jars":../web/WEB-INF/lib/e3010001_server.jar
jars="$jars":../web/WEB-INF/lib/bjn_jdbc.jar
jars="$jars":../web/WEB-INF/lib/bjn_jdbc_pg.jar
jars="$jars":../web/WEB-INF/lib/bjn_jdbc_ms.jar
jars="$jars":../web/WEB-INF/lib/bjn_jdbc_or.jar

#------main
if [ "$1" = "exit" ] ; then
    echo ">>>>> Exit Setup ........."
else
    echo ">>>>> Running E3 Setup "$1" [`pwd`] ......................."
    java -classpath "$jars" com.dasam.e3010001.client.MainFrame setup "$1"
fi
